Skip to main content

Update FSx ONTAP systems

Updates the throughput capacity of an FSx for ONTAP working environment. Use this to adjust system performance based on workload requirements.

HTTP method and endpoint

PATCH /working-environments/{accountId}/{fileSystemId}

Parameters

Name Type In Required Description

x-simulator

string

header

False

X-Service-Request-Id

string

header

False

fileSystemId

string

path

True

accountId

string

path

True

Request Body

Name Type Required Description

throughputCapacity

number

False

diskIopsConfiguration

DiskIopsConfigurationSchema

False

storageCapacity

number

False

Example request
{
  "throughputCapacity": 128,
  "diskIopsConfiguration": {
    "Mode": "string"
  }
}

Response

Status: 200,
Name Type Required Description

id

string

True

accountId

string

True

lifecycle

string

True

failureDetails

string

True

storageType

string

True

storageCapacity

number

True

vpcId

string

True

subnetIds

array[string]

True

networkInterfaceIds

array[string]

True

dnsName

string

True

kmsKeyId

string

True

arn

string

True

tags

array[string]

True

deploymentType

string

True

endpointIpAddressRange

string

True

endpoints

endpoints

True

minimumSsdIops

number

True

preferredSubnetId

string

True

routeTableIds

array[string]

True

throughputCapacity

number

True

administrativeActions

administrativeActions

True

diskIopsConfiguration

diskIopsConfiguration

True

Definitions

See Definitions

DiskIopsConfigurationSchema

Name Type Required Description

Mode

string

False

Iops

number

False

endpoints

administrativeActions

diskIopsConfiguration